using System;

internal sealed class Delegate777 : MulticastDelegate
{
	public extern string Invoke(object object_0, string string_0);

	public static string smethod_0(object object_0, string string_0, Delegate777 delegate777_1)
	{
		return delegate777_1(object_0, string_0);
	}

	public extern Delegate777(object object_0, IntPtr intptr_0);

	static Delegate777()
	{
		Class10.smethod_13(typeof(Delegate777).TypeHandle);
	}

	internal static Delegate777 delegate777_0;
}
